{# Define Routing #}
{%- set appRoute = app.request.attributes.get('_route') -%}

{# Define Full Routing #}
{%- set appRouting = app.request.schemeAndHttpHost ~ app.request.requestUri -%}
{%- set appRouting = appRouting|replace({ 'http': 'https' }) -%}
{%- set domain = app.request.getHost() -%}

{# Define SEO Robots #}
{%- set robots = 'index, follow, all' -%}
{%- if domain == 'adm.tuningbaza.pl' or domain == 'rc.tuningbaza.pl' -%}
    {%- set robots = 'noindex, nofollow' -%}
{%- endif -%}

{# JS/CSS Vesrion #}
{%- set getVersion = package_json.version -%}

{# Environmen = dev/prod #}
{%- set getEnvironment = app.environment -%}

{# Random Number Range #}
{%- set getRandomRange = date().timestamp -%}

{# Wrapper: None Maring #}
{%- set clearPaddingWrapper = '' -%}

{# Header: Hidden #}
{% set hiddenHeader = '' %}

{# Body Sticky #}
{%- set bodySticky = true -%}

{# Footer: Hidden #}
{% set hiddenFooter = false %}

{# User Profil #}
{%- set userProfil = false -%}
{%- if appRoute == 'user_account' or appRoute == 'user_account_transfers' or appRoute == 'user_account_votes' or appRoute == 'user_account_comments' or appRoute == 'user_account_replies' or appRoute == 'user_account_followers' or appRoute == 'user_account_following' or appRoute == 'user_account_feed' or appRoute == 'user_account_settings' -%}
    {%- set userProfil = true -%}
{%- endif -%}


{%- if (appRoute == 'member_Register') -%}
    {%- set bodySticky = false -%}
    {%- set hiddenHeader = 'hidden' -%}
    {% set clearPaddingWrapper = 'clear-padding' -%}
    {% set hiddenFooter = true %}
{%- endif -%}

<!doctype html>
<html lang="{{- app.request.locale -}}">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <meta name="google-site-verification" content="dPBMIbrDdEfI6s5cK8ki-bPwimxFfwcyOG-xJcgX6Yc" />
    <meta name="google-site-verification" content="g3UaazaEUCuXp1RRtLEnYcWLThDDbC04zgeHtT90Dts" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="strimi-key" content="" />
    <meta name="theme-color" content="#3A3E64"/>
    <meta name="googlebot" content="noodp" />
    <meta name="robots" content="{%- spaceless -%}{%- block robots -%}{{- robots -}}{%- endblock -%}{%- endspaceless -%}" />
    <meta name="author" content="{{- 'global.domain'|trans|title -}}">
    <title>
        {%- spaceless -%}
            {%- block title -%}{%- endblock -%}
            {%- if appRoute != 'app_homepage' -%}
                {{- " • " ~ "global.domain"|trans|title -}}
            {%- endif -%}
        {%- endspaceless -%}
    </title>
    <meta name="description" content="{%- spaceless -%}{%- block description -%}{{- 'app.seo.description'|trans({ '%site%': 'app.nameUpercase'|trans }) -}}{%- endblock -%}{%- endspaceless -%}" />
    <meta property="og:locale" content="pl_PL" />
    <meta property="og:site_name" content="{{- 'global.name'|trans|title -}}"/>
    {%- spaceless -%}
        {%- block facebook -%}
            <meta property="og:title" content="{{- 'global.domain'|trans|title ~ ' - ' ~ 'app.slogan'|trans -}}"/>
            <meta property="og:description" content="{{- 'global.seo.description'|trans({ '%site%': 'global.name'|trans|title }) -}}" />
        {%- endblock -%}
    {%- endspaceless -%}
    {%- spaceless -%}
        <meta property="og:image" content="{{- 'https://strimi.it' -}}{%- block social_image -%}{{- '/images/social_image.jpg?v=' ~ getVersion -}}{%- endblock -%}"/>
    {%- endspaceless -%}
    <meta property="og:url" content="{{- appRouting -}}" />
    {%- spaceless -%}
        {%- block canonical -%}
            <link rel="canonical" href="{{- appRouting -}}" />
        {%- endblock -%}
    {%- endspaceless -%}

    <link rel="apple-touch-icon" sizes="57x57" href="/images/favicon/apple-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="/images/favicon/apple-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="/images/favicon/apple-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="/images/favicon/apple-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="/images/favicon/apple-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="/images/favicon/apple-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="/images/favicon/apple-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="/images/favicon/apple-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="/images/favicon/apple-icon-180x180.png">
    <link rel="icon" type="image/png" sizes="192x192"  href="/images/favicon/android-icon-192x192.png">
    <link rel="icon" type="image/png" sizes="32x32" href="/images/favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="96x96" href="/images/favicon/favicon-96x96.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/images/favicon/favicon-16x16.png">
    <link rel="manifest" href="/images/favicon/manifest.json">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="/images/favicon/ms-icon-144x144.png">
    <meta name="theme-color" content="#ffffff">
    {%- if getEnvironment == 'dev' -%}
        <link rel="stylesheet" type="text/css" href="/css/{{- getVersion -}}/app.css?v={{- getRandomRange -}}">
    {%- else -%}
        <link rel="stylesheet" type="text/css" href="/css/{{- getVersion -}}/app.css?v={{- getVersion -}}">
    {%- endif -%}
</head>
<body class="{%- if bodySticky -%}sticky{%- endif -%}">
{%- set logoActive = false -%}
{%- if (appRoute == 'app_homepage')
    or (appRoute == 'app_homepageHot')
    or (appRoute == 'app_homepagePromoted')
    or (appRoute == 'app_homepageNewest') -%}
    {%- set logoActive = true -%}
{%- endif -%}

{%- spaceless -%}
    {%- include ':source/header:index.html.twig' -%}
{%- endspaceless -%}

{%- if userProfil -%}
    {%- include 'AppBundle:User/Account:header.html.twig' -%}
{%- endif -%}

{%- if logoActive == true -%}
    {%- spaceless -%}
        {%- include ':source:welcome.html.twig' -%}
    {%- endspaceless -%}
{%- endif -%}

{%- spaceless -%}
    <div class="wrapper {% if userProfil -%}clear-padding{%- endif -%}">
        <div class="container">
            {%- block body -%}
            {%- endblock -%}
        </div>
    </div>
{%- endspaceless -%}


{%- spaceless -%}
    {%- include ':source/footer:index.html.twig' -%}
    {%- include ':source/modal:index.html.twig' -%}
{%- endspaceless -%}

<script type="text/javascript">
    var _config = {
        "route": "{{- appRoute -}}",
        "image_host": "{{- steemit.image_host -}}",
        "locale": "{{- app.request.locale -}}",
        "accounts_autocomplete": "{{- path('api_elastic_suggest_accounts_autocomplete', { name: 'strimi' }) -}}",
        "tags_autocomplete": "{{- path('api_elastic_suggest_tags_autocomplete', { name: 'strimi' }) -}}",
        "strimi_stream": "{{- stream_permlink.permlink -}}"
    };
</script>

<script async src="https://www.googletagmanager.com/gtag/js?id=UA-97692175-1"></script>

{#<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/styles/default.min.css">#}
{#<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/styles/darcula.min.css">#}
{#<script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/highlight.min.js"></script>#}

{%- if getEnvironment == 'dev' -%}
    <script src="/js/{{- getVersion -}}/vendor.js?v={{- getRandomRange -}}"></script>
    <script src="/js/{{- getVersion -}}/app.js?v={{- getRandomRange -}}"></script>
{%- else -%}
    <script src="/js/{{- getVersion -}}/vendor-min.js?v={{- getVersion -}}"></script>
    <script src="/js/{{- getVersion -}}/app-min.js?v={{- getVersion -}}"></script>
{%- endif -%}

</body>
</html>